# Creating reversed lists and decimal to binary conversion

# Create and return a reversed list with the append method of lists
def list_reverse(L):
  rev = []
  for i in range(len(L)-1,-1,-1):
    rev.append(L[i])
  return rev

# Demonstrate reversals
for1 = [1,2,3,4]
rev1 = list_reverse(for1)
print("Forward: "+str(for1))
print("Reverse: "+str(rev1))


for2 = [1,1,0,1,1,0]
rev2 = list_reverse(for2)
print("Forward: "+str(for2))
print("Reverse: "+str(rev2))

print()

# Convert a decimal number to a binary list
def dec_to_bin(decimal):
  digits = []
  while decimal > 0:
    remainder = decimal % 2
    decimal   = decimal // 2
    digits.append(remainder)
  digits_rev = list_reverse(digits)
  return digits_rev

# Demonstrate the decimal to binary function
dec1 = 54
bin1 = dec_to_bin(dec1)
print("Decimal: "+str(dec1))
print("Binary:  "+str(bin1))

dec2 = 87
bin2 = dec_to_bin(87)
print("Decimal: "+str(dec2))
print("Binary:  "+str(bin2))

